<form #formData="ngForm" (ngSubmit)="login(formData)">
  <div class="form-group">
    <div>
      <label for="email">E-mail</label>
      <input ngModel id="email" name="email" class="form-control">
    </div>

    <div>
      <label for="password">Password</label>
      <input ngModel id="password" type="password" name="password" class="form-control">
    </div>

    <div>
      <button type="submit" class="btn btn-success" [disabled]="formData.invalid">Log in</button>
      <button type="button" class="btn btn-primary" [disabled]="formData.invalid" (click)="signup(formData)">Register</button>
    </div>
  </div>
</form>
